Subject: Re: [Ieprep] Proposed Revised Charter

From: Antonio De Simone <[email-masked]>
Date: Wed, 07 Sep 2005 13:13:49 -0400

King, Kimberly S. wrote:

>
> Below is an updated proposed charter for WG review.
>

suggest a rewrite of these two paragraphs
 
<<<<<<<<<<<<
2. Nested VPNs require special considerations for routing and QoS if
nodes in the path that make these decisions generally have limited
information.
2. VPNs in the manner of IPSec--point-to-point tunnels that encrypt payload
and header information--require special consideration for routing and QoS
because some nodes on the path that make forwarding and scheduling
decisions will have limited information.  Nested VPNs (tunnels in tunnels)
or concatenated VPNs (tunnels terminated at a gateway node) VPNs both need
to be considered.
 
<<<<<<<<<<<<
4. Considering robustness of non-real-time applications with
preferential treatments, as voice will not be the only application used
by IEPREP.
4. While voice was the driving application for IEPREP in the past, 
preferential
treatments will need to be applied to all applications
essential to emergency communications. Preferential treatment must
address robustness of both voice and non-real-time applications that share
the same infrastructure.
 
I think we should also include a November goal of submitting an I-D on
DoD requirements for precedence. Is that the same as your Feb 06 item?

>
> ---
>
> Internet Emergency Preparedness (ieprep) Charter 
>
>
> Description of Working Group: 
>
> Effective telecommunications capabilities are imperative to facilitate 
> immediate recovery operations for serious disaster events including 
> natural disasters (e.g., hurricanes, floods, earthquakes) and those 
> created by man (e.g., terrorist attacks, combat situations or wartime 
> events). In addition, related capabilities should be usable in normal 
> command and control operations of military services, which often have 
> timeliness requirements even in peacetime.
>
> Disasters can happen any time, any place, unexpectedly. Quick response 
> for recovery operations requires immediate access to any public 
> telecommunications capabilities at hand. These capabilities include: 
> conventional telephone, cellular phones, and Internet access via online 
> terminals, IP telephones, and wireless PDAs. The commercial 
> telecommunications infrastructure is rapidly evolving to Internet-based 
> technology. Therefore, the Internet community needs to consider how it 
> can best support emergency management and recovery operations.
>
>
> The IEPREP WG will address proactive measures to congestion and recovery 
> from various outages using three perspectives:
>
>
> 1. A commercial (i.e., or public) telecommunications infrastructure
>
>
> 2. A governmental/military or enterprise telecommunications 
> infrastructure that retains sole administration of its own network 
> resources
>
>
> 3. A governmental/military telecommunications infrastructure that 
> combines private resources and leverages public infrastructure. This 
> scenario may be subject to local policies, laws, and regulations. 
> Potential disasters for governmental/military  infrastructures can 
> extend beyond what might be experienced by the commercial/public sector 
> and can be anticipated to some degree.
>
>
> Proactive mechanisms to address would-be outages are required for each 
> of these cases. 
>
>
> Now that the initial documents describe the broad problem space and its 
> salient characteristics have been competed, new efforts will  focus on 
> specific requirements and solutions such as those  pertaining to the 
> governmental/military sector. For example, a document exists in the 
> Transport Area working group of interest to IEPREP that could satisfy a 
> governmental framework/BCP is draft-ietf-tsvwg-mlpp-that-works-XX. This 
> document will progress to completion in that WG, yet may be the basis of 
> more work in this IEPREP WG. Some additional efforts on the 
> governmental/military track within IEPREP could focus on this TSVWG 
> document, analyze gaps, and provide input where needed. 
>
>
> The following are four specific examples that can satisfy  the interests 
> of governmental/military (and potentially, 
> commercial/public/enterprise) emergency communications: 
>
>
> 1. Conveying information about the priority of specific  flows (or 
> sessions) that originate in a VoIP environment.  This could include a 
> requirements effort to describe  extensions to NSIS or RSVP. 
> Requirements for NSIS would be forwarded to the NSIS working group. 
> Requirements for RSVP could be forwarded to tsvwg or worked on in 
> IEPREP. 
>
>
> 2. Nested VPNs require special considerations for routing and QoS if 
> nodes in the path that make these decisions generally have limited 
> information.  
>
>
> 3. Some countries require civil networks to preempt sessions under state 
> circumstances, and preemption is considered an  absolute requirement in 
> governmental networks in most countries. Unless implementation of these 
> requirements can  be objectively shown to threaten network health (via 
> simulation or in operations), then the requirement needs to be 
> considered by IEPREP and specific solutions must be developed. 
>
>
> 4. Considering robustness of non-real-time applications with 
> preferential treatments, as voice will not be the only application used 
> by IEPREP. 
>
>
> In the IETF, considerations for treatment and security of emergency 
> communications stretch across a number of Areas and Working Groups, 
> notably including the various voice/video  signaling working groups, 
> instant messaging, and the open Transport Area for path coupled 
> signaling and various operational groups. IEPREP will cooperate closely 
> with these groups and with those outside of the IETF such as various 
> ITU-T study groups.  
>
>
> If there is an existing group that can extend a protocol or mechanism, 
> IEPREP will generate only a requirements document for those groups to 
> evaluate. 
>
>
> If there is not an existing group that can extend a protocol or 
> mechanism,  IEPREP will prepare requirements and discuss the extension 
> of that protocol/mechanism or protocols/mechanisms within  IEPREP.
>
>
> Goals and Milestones: 
>
>
> Done Submit initial I-D of Requirements 
>
> Done Submit initial I-D of Framework 
>
> Done Submit initial I-D of Recommendations BCP 
>
> Done Submit Requirements I-D to IESG for publication as an 
> Informational RFC 
>
> Done Submit Framework I-D to IESG for publication as an  Informational 
> RFC 
>
> Oct 05 Submit an initial I-D of Emergency Threats Analysis  of 
> Government/Military Networks 
>
> Dec 05 Submit an initial I-D of Differences between GETS and  MLPP 
> Networks 
>
> Feb 06 Submit an initial I-D of Requirements of  Government/Military 
> Networks 
>
> Mar 06 Submit an initial I-D of Considerations for potential  solutions 
> of Government/Military Networks 
>
> Apr 06 Submit an initial I-D of Mechanisms to be used by 
> Government/Military Networks 
>
> Oct 05 Submit final I-D of Emergency Threats Analysis of 
> Government/Military Networks to IESG as Informational  RFC
>
> Feb 06 Submit final I-D of Requirements of  Government/Military Networks 
> to IESG as Informational RFC 
>
> Apr 06 Submit final I-D of Mechanisms to be used by  Government/Military 
> Networks to IESG as BCP RFC 
>
> Dec 06 Submit Recommendations I-D for commercial telecommunications 
> infrastructure to IESG for publication as  a BCP 
>
> The working group will discuss re-chartering if additional  efforts are 
> agreed upon by the WG (for example, work items  related to protocols 
> outside existing WGs). 
>
>
> _______________________________________________
> Ieprep mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ieprep
>

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: "James M. Polk" <[email-masked]>
Date: Wed, 07 Sep 2005 12:36:32 -0500

Tony

I like the text suggestions, however, adding a goal means something that is 
to become an official work item, which is something we can agree on after 
the individual submission is reviewed by the WG. This process could take as 
little as one meeting's review.

I am very much looking forward to this submission.  A new milestone/goal 
can be added fairly easily to an existing WG charter, especially when an 
individual ID is written well and covers obvious areas of concern for the WG.

At 01:13 PM 9/7/2005 -0400, Antonio De Simone wrote:
>>infrastructure that retains sole administration of its own network resources
>>
>>
>>Potential disasters for governmental/military  infrastructures can extend 
>>beyond what might be experienced by the commercial/public sector and can 
>>be anticipated to some degree.
>>
>>
>>Proactive mechanisms to address would-be outages are required for each of 
>>these cases.
>>
>>of governmental/military (and potentially, commercial/public/enterprise) 
>>emergency communications:
>>
>>requirements effort to describe  extensions to NSIS or RSVP. Requirements 
>>for NSIS would be forwarded to the NSIS working group. Requirements for 
>>RSVP could be forwarded to tsvwg or worked on in IEPREP.
>>
>>simulation or in operations), then the requirement needs to be considered 
>>by IEPREP and specific solutions must be developed.
>>
>>4. Considering robustness of non-real-time applications with preferential 
>>treatments, as voice will not be the only application used by IEPREP.
>>
>>instant messaging, and the open Transport Area for path coupled signaling 
>>and various operational groups. IEPREP will cooperate closely with these 
>>groups and with those outside of the IETF such as various ITU-T study groups.
>>
>>
>>mechanism,  IEPREP will prepare requirements and discuss the extension of 
>>that protocol/mechanism or protocols/mechanisms within  IEPREP.
>>
>>
>>Goals and Milestones:
>>
>>Done Submit Requirements I-D to IESG for publication as an Informational RFC
>>Done Submit Framework I-D to IESG for publication as an  Informational RFC
>>Dec 05 Submit an initial I-D of Differences between GETS and  MLPP Networks

cheers,
James

                                 *******************
                 Truth is not to be argued... it is to be presented.

---

From: [email-masked] (Scott Bradner)
Date: Wed, 7 Sep 2005 13:49:57 -0400 (EDT)

> suggest a rewrite of these two paragraphs
 
this sounds like too much of a restriction - is there a reason to
restrict the VPN issues to ones relating to encryption?

works for me

> DoD requirements for precedence. Is that the same as your Feb 06 item?

fine by me

Scott